package main

import (
	"context"

	"acooldomain.co/backend/auth"
	"acooldomain.co/backend/dbhandler"
	"acooldomain.co/backend/users"
	"github.com/gin-gonic/gin"
)

func main() {
	router := gin.Default()

	client, err := dbhandler.Connect("mongodb://localhost:27017")
	defer func() {
		if err = client.Disconnect(context.TODO()); err != nil {
			panic(err)
		}
	}()

	if err != nil {
		panic(err)
	}
	users.LoadGroup(router.Group("/users"), client)
	auth.LoadGroup(router.Group("/auth"), client)

	router.Run("localhost:8080")
}
